import { loadTranslations } from '$lib/translations';

/** @type {import('@sveltejs/kit').Load} */
export const load = async () => {
  const initLocale = primaryLanguage(navigator.language) || 'en';

  // TODO: Fix the undefined location issue
  await loadTranslations(initLocale);

  return {};
};

const primaryLanguage = (/** @type {string} */ locale) => {
  if (!locale) return '';
  return locale.split('-')[0];
};
